curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/marketplace/sellers/{Id} \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/marketplace/sellers/{Id}"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/marketplace/sellers/{Id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"priceTypes": {
"priceTypes": [
{
"channelPriceTypeId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"channelId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shopId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"priceTypeId": "<string>",
"displayName": "<string>",
"description": "<string>",
"customerGroupId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
]
},
"shippingRules": {
"shippingRules": [
{
"shippingRuleId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"channelId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"carrierId": "<string>",
"displayName": "<string>",
"shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shopId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"customCarrierId": "<string>"
}
]
},
"metaData": {
"metaData": [
{
"type": "<string>",
"metaDataEntryId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"resource": "<string>",
"sellerId": "<string>",
"channelId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"isImportEnabled": true
}
]
},
"events": {
"events": [
{
"type": "<string>",
"metaDataEntryId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"resource": "<string>",
"sellerId": "<string>",
"channelId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"createdAfter": "2023-11-07T05:31:56Z",
"isImportEnabled": true
}
]
},
"supportedMarketplaces": {
"supportedMarketplaces": [
{
"channelId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"iso": "<string>",
"name": "<string>",
"sort": 123
}
]
},
"returnSettings": {
"isReturnTrackingRequired": true,
"isReturnTrackingIdEnabled": true,
"returnShippingRuleId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"returnWarehouseId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"returnNumberRangePrefix": "<string>",
"returnNumberRangeFrom": 123,
"returnNumberRangeTo": 123,
"returnNumberRangeSuffix": "<string>",
"returnNumberRangeCurrent": 123,
"isReturnIdLimitWarningEnabled": true,
"returnIdLimitWarningCount": 123,
"returnIdLimitWarningEmail": "<string>"
}
}Retrieves detail sub-elements for a single marketplace seller by SCX shop ID.
Retrieves detail sub-elements for a single marketplace seller by SCX shop ID.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
Represents a key for a ScxShop entity.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Response
Seller detail sub-elements (price types, shipping rules, metadata, supported marketplaces).
Price types assigned to this seller channel.
Show child attributes
Show child attributes
Shipping rules assigned to this seller channel.
Show child attributes
Show child attributes
Metadata entries for this seller (no date required).
Show child attributes
Show child attributes
Event entries for this seller (with CreatedAfter date).
Show child attributes
Show child attributes
Supported marketplaces for this seller channel.
Show child attributes
Show child attributes
Return tracking settings for this seller.
Show child attributes
Show child attributes
Was this page helpful?